ClearOS Bug Tracker


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0021041ClearOSapp-firewall-custom - Custom Firewallpublic2018-08-09 05:042018-09-04 10:46
ReporterNickH 
Assigned Topbaldwin 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version7.5.0 
Target Version7.5.0 UpdatesFixed in Version7.5.0 Updates 
Summary0021041: Custom rules do not allow the "!" character
DescriptionAdding a rule:
$IPTABLES -A DOCKER -t nat ! -i docker0 -d 172.22.22.2 -j DNAT --to-destination 172.18.0.2

gives "Firewall rule is invalid.".

Changing it to:
$IPTABLES -A DOCKER -t nat -i docker0 -d 172.22.22.2 -j DNAT --to-destination 172.18.0.2

is OK.

Please make "!" an allowed character

(note the rule won't actually work as custom fires before 10-docker so the relevant chain, nat/DOCKER, does not exist at that point and I've had to create another file 11-docker to allow the rule to run automatically)
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2018-08-09 05:04 NickH New Issue
2018-08-10 00:36 pbaldwin Status new => confirmed
2018-08-10 00:37 pbaldwin Target Version => 7.5.0 Updates
2018-09-04 10:46 pbaldwin Status confirmed => resolved
2018-09-04 10:46 pbaldwin Fixed in Version => 7.5.0 Updates
2018-09-04 10:46 pbaldwin Resolution open => fixed
2018-09-04 10:46 pbaldwin Assigned To => pbaldwin
2018-09-04 10:46 pbaldwin Status resolved => closed